<bugID>1292095<Summary>ctrlTab._initRecentlyUsedTabs is called way too often</Summary><Description>We rebuild the _recentlyUsedTabs too often from scratch. This is because we depend on the SSWindowStateReady event which fires on various occasions that aren't of interest for our purposes. I'm not even sure what exactly those occasions are. E.g. loading a page from about:newtab seems to do this.

We only want to rebuild _recentlyUsedTabs when a whole window has been restored. It looks like there's currently no event specifically for this, only an nsIObserver notification.</Description></bugID>